## xorg 7.4~5ubuntu3

=== debian/changelog ===
xorg (1:7.4~5ubuntu3) intrepid; urgency=low

  * debian/control:
    - Depend on -evdev so it will get installed on upgrades.
      Otherwise, in certain upgrade scenarios this can result in
      non-functioning keyboard/mouse.
      (LP: #271138)
    - Remove displayconfig-gtk from Suggests since it is no longer present
      in the archive anyway

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 21 Oct 2008 16:16:10 -0700

xorg (1:7.4~5ubuntu2) intrepid; urgency=low

  * debian/xserver-xorg.postinst.in: If xforcevesa is set on the kernel
    cmdline, feed DRIVERS_LIST with vesa so that setting the DRIVER works.
    Debconf refuses to obey if the list of choices is empty.
    (LP: #285562)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Mon, 20 Oct 2008 09:53:29 +0300

xorg (1:7.4~5ubuntu1) intrepid; urgency=low

  * Fix leftover conflicts in debian/changelog.
  * Merge from debian-experimental.
  * Bump the version check for upgrades to "lt-nl 1:7.4~5ubuntu1" and also
    change psb to vesa in xorg.conf in upgrades.

 -- Loic Minier <lool@dooz.org>  Wed, 15 Oct 2008 22:13:23 +0200

xorg (1:7.4~5) UNRELEASED; urgency=low

  * Also upgrade Driver i810 or via lines which have trailing comments.
  * Shut up rmdir errors with 2>/dev/null in all maintainer scripts when
    trying to remove dirs; this might confuse debconf.

 -- Loic Minier <lool@dooz.org>  Wed, 15 Oct 2008 21:52:39 +0200

xorg (1:7.4~4ubuntu2) intrepid; urgency=low

  * Drop i810, nsc, and tga for lpia as well.  (Concerning tga, lpia is of
    course !alpha.)

 -- Loic Minier <lool@dooz.org>  Wed, 15 Oct 2008 12:58:22 +0200

xorg (1:7.4~4ubuntu1) intrepid; urgency=low

  * Merge from debian-experimental.

 -- Loic Minier <lool@dooz.org>  Wed, 24 Sep 2008 18:24:58 +0200

xorg (1:7.4~4) experimental; urgency=low

  [ Loic Minier ]
  * Allow alternate tty devices as consoles; fixes usage of startx in upstart.

  [ Julien Cristau ]
  * Merge changes from 1:7.3+18.

 -- Julien Cristau <jcristau@debian.org>  Sat, 11 Oct 2008 02:24:19 +0200

xorg (1:7.4~3) experimental; urgency=low

  [ Timo Aaltonen ]
  * vars.*: Drop cyrix, imstt from video-all. Not ported to pciaccess.

  [ Julien Cristau ]
  * vars.*: Drop nsc from video-all.  It was only ever useful on i386 anyway,
    and should get integrated into geode at some point.
  * vars.*: Drop the via alternative, it's dead upstream and we have
    openchrome now.
  * xserver-xorg.postinst:
    - drop support for upgrades from X11R6;
    - when upgrading from a version earlier than 1:7.4~3, replace uses of the
      "i810" and "via" drivers with "intel" and "openchrome", respectively
      (closes: #492913).
  * Pull changes from 1:7.3+17 (debconf translation updates).
  * vars.*: Drop the -i810 alternatives, only -intel is left these days.

 -- Julien Cristau <jcristau@debian.org>  Mon, 15 Sep 2008 13:57:52 +0200

xorg (1:7.4~2ubuntu7) intrepid; urgency=low

  * Drop xserver-xorg-video-openchrome | xserver-xorg-video-via and
    xserver-xorg-video-geode from video-all on lpia as they don't exist on
    lpia; they would build, but it's not clear whether anyone is interested in
    using lpia on devices with this video hardware.

 -- Loic Minier <lool@dooz.org>  Fri, 10 Oct 2008 20:51:47 +0200

xorg (1:7.4~2ubuntu6) intrepid; urgency=low

  [ Bryce Harrington ]
  * failsafeXinit:  'Standby' should be 'Stand by'

  [ Timo Aaltonen ]
  * scripts/vars*: Drop radeonhd from video-all, otherwise it would end
    up being used instead of radeon. (LP: #279707)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 08 Oct 2008 10:03:36 -0700

xorg (1:7.4~2ubuntu5) intrepid; urgency=low

  [ Bryce Harrington ]
  * local/Failsafe/failsafeXinit:
    - Add option to run Ubuntu in low-graphics mode one time
    - Add default radio button settings

  [ Loic Minier ]
  * Drop xserver-xorg-video-psb for now as it's broken with intrepid's kernel
    and vesa should be preferred; LP: #274833.

 -- Loic Minier <lool@dooz.org>  Tue, 30 Sep 2008 19:25:54 +0200

xorg (1:7.4~2ubuntu4) intrepid; urgency=low

  * local/Failsafe/failsafeXServer:
    - 'discover' is no longer used, so disable the pci-id based detection
      of alternate fallback driver.  (LP: #272086)
    - Add detection of ppc hardware and prefer 'fbdev' instead of 'vesa'
      in this case (LP: #155685)
    - Send log to Xorg.failsafe.log when in failsafe mode (LP: #179164)
  * local/Failsafe/failsafeDexconf:
    - Re-sync with dexconf; use input-hotplug for devices.  (LP: #227818)
  * local/Failsafe/failsafeXinit:
    - Display the X errors on initial dialog.  (LP: #148122)
    - Specify /etc/X11/xorg.conf exactly, rather than $xorg_conf, which
      actually points to xorg.conf.failsafe
  * local/dexconf:
    - Remove duplicate line if generating an xorg.conf for KVM sessions
    - Note that some settings can't be set in xorg.conf any longer
      (LP: #263124)

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 19 Sep 2008 21:08:52 -0700

xorg (1:7.4~2ubuntu3) intrepid; urgency=low

  [Michael Larabel]
  * local/Failsafe/failsafeXinit: Add option to enable user to archive the
    relevant log files for bug reporting purposes.

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 19 Sep 2008 12:17:46 -0700

xorg (1:7.4~2ubuntu2) intrepid; urgency=low

  [Loic Minier]
  * local/xserver-wrapper.c: Add support for /dev/console and other
    alternate TTY devices such as /dev/console, /dev/tty, or all other
    char devices with major 5 and minur < 64 for the onConsole() check.

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 16 Sep 2008 14:22:57 -0700

xorg (1:7.4~2ubuntu1) intrepid; urgency=low

  [ Bryce Harrington ]
  * local/Failsafe/failsafeXinit:  Replace use of displayconfig-gtk with
    a simple troubleshooting/reconfiguration menu.
  * apport/source_xorg.py:
    - Add Xorg.0.log.old
    - Add xkbcomp and setxkbmap for keyboard bugs.
    - Add intel_reg_dumper for -intel bugs.
  * control:
    - Add xinput to xorg Depends so xinput is included in main


