## xorg 7.4~5ubuntu18

=== debian/changelog ===
xorg (1:7.4~5ubuntu18) jaunty; urgency=low

  * local/dexconf: Don't use cirrus on kvm (Technical Corp. Device 1111)
    (LP: #338219)
  
 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 03 Apr 2009 00:35:49 -0700

xorg (1:7.4~5ubuntu17) jaunty; urgency=low

  * apport/source_xorg.py:
    - Include monitors.xml in apport reports.
  * local/Failsafe/failsafeXinit:
    - Fix typo in xorg.conf filename (LP: #348639)
    - Fix mismatched quotes (Ref. 335678)
    - Handle ESC key hits in zenity to not create a 0-length xorg.conf

 -- Bryce Harrington <bryce@ubuntu.com>  Sun, 29 Mar 2009 14:13:23 -0700

xorg (1:7.4~5ubuntu16) jaunty; urgency=low

  [Tormod Volden]
  * apport/source_xorg.py: Use grep directly instead of shelling out, and
    look in /proc/modules as well.  Also only set 'fglrx-installed' if
    there was a definite match.

  [Bryce Harrington]
  * x11-common.links: Add apport support for a several more packages.
  * local/Xsession.d/60x11-common_localhost:
    - Rename from 60x11-localhost for consistency (LP: #340807)
    - Redirect stderr in an sh-safe fashion
  * x11-common.postinst.in, x11-common.preinst.in, x11-common.postrm.in:
    - Remove renamed 60x11-localhost; handle upgrade failures gracefully
  * local/dexconf, local/Failsafe/failsafeDexconf:
    - Add hooks for Sun's virtualbox (LP: #319373)
  * local/Failsafe/failsafeXinit:
    - Use zenity for viewing logs, and vt2 for console login
      (LP: #310126)
    - Make translatable (LP: #335678)
  * apport/source_xorg.py: Suppress warning about keyboard geometry on :0
    (LP: #315777)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 18 Mar 2009 13:54:27 -0700

xorg (1:7.4~5ubuntu15) jaunty; urgency=low

  * local/Xsession.d/60x11-localhost: Change redirection to fix bashism
    (LP: #340676)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 10 Mar 2009 11:39:40 -0700

xorg (1:7.4~5ubuntu14) jaunty; urgency=low

  * Add local/Xsession.d/60x11-localhost: Allow X connections from local
    unix domain sockets instead of forcing TCP since hostname validation
    is not necessary in this case.
    (LP: #276357)
  * apport/source_xorg.py: Detect presence of fglrx loaded in kernel

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 10 Mar 2009 09:56:15 -0700

xorg (1:7.4~5ubuntu13) jaunty; urgency=low

  * debian/xserver-xorg.postinst.in: Set USE_FBDEV to false by default on lpia
    as well (just like on i386, amd64 etc.); should fix vesa usage on Poulsbo
    systems, it would work fine in the live session but not after install;
    LP: #335308.

 -- Loic Minier <lool@dooz.org>  Fri, 27 Feb 2009 08:19:27 +0100

xorg (1:7.4~5ubuntu12) jaunty; urgency=low

  * control: Reverse the -evdev /-input-all Depends order, hopefully
    the livecd build will pick -all now, and not just -evdev.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 04 Feb 2009 12:08:04 +0200

xorg (1:7.4~5ubuntu11) jaunty; urgency=low

  [ Bryce Harrington ]
  * apport/source_xorg.py:
    - Adding system environment items recommended at
      http://intellinuxgraphics.org/how_to_report_bug.html
    - Add lshal
    - Add debug test code
    - Drop use of intel_reg_dumper since it requires root (LP: #311560)
  * scripts/vars.sparc:  Drop sunbw2.  It's dead jim.  (LP: #314539)

  [ Timo Aaltonen ]
  * Merge with Debian experimental.
  * debian/control: xserver-xorg doesn't need to depend on mdetect
    anymore.
  * x11-common.links: Don't install the symlink to rgb.txt (LP: #300935)

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 30 Jan 2009 13:42:37 -0800

xorg (1:7.4~5ubuntu10) jaunty; urgency=low

  * apport/source_xorg.py:  Fix arg list to prevent error
    'Error: Cannot open display ":0 -"'
    (LP: #311442)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 06 Jan 2009 01:56:25 -0800

xorg (1:7.4~5ubuntu9) jaunty; urgency=low

  * Disable terminal function entirely
  * Add x11fnc.sh to provide several general purpose X bash functions

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 22 Dec 2008 00:22:22 -0800

xorg (1:7.4~5ubuntu8) jaunty; urgency=low

  * Disable terminal to prevent root access (LP: #310126)

 -- Bryce Harrington <bryce@ubuntu.com>  Sun, 21 Dec 2008 00:05:19 -0800

xorg (1:7.4~5ubuntu7) jaunty; urgency=low

  * debian/scripts: Drop vmmouse from -input-all for now, doesn't build
    against the new SDK.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 17 Dec 2008 01:12:40 +0200

xorg (1:7.4~5ubuntu6) jaunty; urgency=low

  * xserver-xorg: Bump the depends on xserver-xorg-core, and require
    xserver-xorg-video-5, xserver-xorg-input-4.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 15 Dec 2008 12:57:18 +0200

xorg (1:7.4~5ubuntu5) jaunty; urgency=low

  * debian/local/Failsafe/failsafeXinit:
    - Provide option to launch a terminal window (LP: #275866)
    - Add some additional useful files/data to the failsafe tarball
    - Make wait dialog show progress bar (LP: #290250)
  
 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 05 Dec 2008 15:59:23 -0800

xorg (1:7.4~5ubuntu4) jaunty; urgency=low

  * Depend on hal.  Otherwise, if launching X without hal installed you
    won't get any input devices.
  * Remove displayconfig-gtk from Suggests since it is no longer present
    in the archive anyway

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 19 Nov 2008 10:26:14 -0800

xorg (1:7.4~5) experimental; urgency=low

  [ Loic Minier ]
  * Also upgrade Driver i810 or via lines which have trailing comments.
  * Shut up rmdir errors with 2>/dev/null in all maintainer scripts when
    trying to remove dirs; this might confuse debconf.

  [ Julien Cristau ]
  * xserver-xorg Depends on hal.
  * xserver-xorg Depends on xserver-xorg-input-evdev on Linux (except for
    s390).
  * Update input (4) and video (5) ABIs for xserver 1.6.
  * xserver-xorg Depends on xkb-data >= 1.4.
  * xserver-xorg Depends on xserver-xorg-core 1.6 rc1.

 -- Julien Cristau <jcristau@debian.org>  Wed, 21 Jan 2009 22:41:41 +0100
