## xorg 7.4~5ubuntu18netbook2

=== debian/changelog ===
xorg (1:7.4~5ubuntu18netbook2) walpole; urgency=low

  * Put back debian/xserver-xorg.{pre|post}{inst|rm}.in and comment out
    the part which calls dexconf in the postinst.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 04 Jun 2009 11:04:29 +0200

xorg (1:7.4~5ubuntu18netbook1) walpole; urgency=low

  * debian/xserver-xorg.{pre|post}inst.in, xserver-xorg.{pre|post}rm.in:
    - Remove these files so as not to overwrite X-Kit's settings.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 03 Jun 2009 15:57:19 +0200
