=== debian/control ===
--- 
+++ 
@@ -82,7 +82,16 @@
 Architecture: any
 Conflicts: xserver-xfree86 (<< 6.8.2.dfsg.1-1), xserver-common (<< 7), x11-common (<< 1:7.3+11)
 Replaces: xserver-common (<< 7), x11-common (<< 1:7.3+11)
-Depends: xserver-xorg-core (>= 2:1.5), xserver-xorg-video-all | xserver-xorg-video-4, xserver-xorg-input-all | xserver-xorg-input-2.1, xserver-xorg-input-evdev, ${shlibs:Depends}, ${misc:Depends}, xkb-data | xkb-data-legacy, x11-xkb-utils, mdetect
+Depends:
+ xserver-xorg-core (>= 2:1.5.99.901),
+ xserver-xorg-video-all | xserver-xorg-video-5,
+ xserver-xorg-input-all | xserver-xorg-input-4,
+ xserver-xorg-input-evdev [alpha amd64 arm armeb armel hppa i386 ia64 lpia m32r m68k mips mipsel powerpc sparc],
+ hal,
+ ${shlibs:Depends},
+ ${misc:Depends},
+ xkb-data (>= 1.4),
+ x11-xkb-utils
 Recommends: libgl1-mesa-dri, udev, ${F:XServer-Xorg-Detect-Depends}
 Description: the X.Org X server
  This package depends on the full suite of the server and drivers for the
@@ -206,4 +215,3 @@
  Many of these programs are useful even on a system that does not have any X
  clients or X servers installed.
  .
- This package is provided for transition from earlier Debian releases, the
