## xorg 7.4~6jolicloud3

=== debian/changelog ===
xorg (1:7.4~6jolicloud3) robby; urgency=low

  * Add dependency to xserver-xorg-input-evtouch in order to support
    Samsung NB30 device out of the box

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Tue, 08 Jun 2010 18:33:50 +0200

xorg (1:7.4~6jolicloud2) robby; urgency=low

  * Changed xserver-xorg-video-viachrome9 to -via, removed -openchrome
    on i386

 -- Adam McDaniel <adam@jolicloud.org>  Wed, 03 Feb 2010 19:27:17 -0700

xorg (1:7.4~6jolicloud1) robby; urgency=low

  * Added xserver-xorg-video-viachrome9 to xserver-xorg-video-all on i386

 -- Adam McDaniel <adam@jolicloud.org>  Sat, 30 Jan 2010 20:39:16 -0700
