## xorg 7.4+3ubuntu7

=== debian/changelog ===
xorg (1:7.4+3ubuntu7) karmic; urgency=low

  * Remove stray 60x11-common_localhost and dexconf.patch from prior upload.

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 19 Oct 2009 19:41:23 -0700

xorg (1:7.4+3ubuntu6) karmic; urgency=low

  * apport/source_xorg.py: Do not file bug if VirtualBox is in use, since
    it provides its own video driver.
  * vars.*: Add explicit dependency on xserver-xorg-input-vmmouse to
    ensure it stays in main.
    (LP: #407816)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 19 Oct 2009 18:52:55 -0700

xorg (1:7.4+3ubuntu5) karmic; urgency=low

  * control: Move xserver-xorg dependency on evdev after -input-all.
    Otherwise only evdev is installed by default.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 07 Jul 2009 22:50:19 +0300

xorg (1:7.4+3ubuntu4) karmic; urgency=low

  * debian/local/debian-x11-keymap.fdi: Do not check for existing 
    input.xkb.layout property; this was only set by the previous
    10-keymap.fdi, which got disabled together with hal-setup-keymap.
    Directly check for input.keys capabilities, to make the fdi
    independent. This restores proper X.org keyboard layout setting
    from console-setup. (LP: #375618, again)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 01 Jul 2009 00:19:16 +0300

xorg (1:7.4+3ubuntu3) karmic; urgency=low

  * control: Change the gdm Breaks to match our version.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 30 Jun 2009 23:03:37 +0300

xorg (1:7.4+3ubuntu2) karmic; urgency=low

  * control: Add Conflicts/Replaces hal (<= 0.5.12+git20090626-0ubuntu1) 
    because xserver-xorg ships the callout script now (and the fdi file
    too).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 30 Jun 2009 19:22:08 +0300

xorg (1:7.4+3ubuntu1) karmic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - apport/xorg-server-core.py, x11-common.install, x11-common.links:
      + apport hook for xorg-server crashes
    - control:
      + Add xqbiff (<= 0.75-4) to the list of x11-common Conflicts.
      + Add a dependency to x11-common for each binary built to save
        disk/livecd space.
      + Move xfonts-scalable to Recommends.	
    - local/Failsafe/*, x11-common.install:
      + Bulletproof-X.
    - local/Xsession:
      + If ~/.xsession-errors is bigger than 0.5MiB, truncate it to the last
        0.5MiB to avoid having it grow indefinitively. (This does not happen
        with gdm anyway since gdm cleans the file on login).
    - local/dexconf:
      + Add extra bits for ps3fb xorg.conf.
      + dexconf: Bring Device back to the Screen-section, nvidia-settings
        and aticonfig need that.
      + Add customizations to detect if running in KVM/VBOX environment
        and specify the driver, H/V rates, DefaultDepth, etc.
    - local/xserver-wrapper.c:
      + Stop handling -config specifically in the wrapper, as Xorg now
        handles this itself.
    - rules:
      + Symlink the doc directories to x11-common, explicitly remove the
        doc directories on upgrade for the now symlinked doc
        directories, to save disk/livecd space.
    - scripts/vars.*:
      + Don't include radeonhd in video-all.
    - scripts/vars.i386:
      + Add geode to video-all.
    - scripts/vars.lpia:
      + Copied from vars.i386.
    - x11-common.postinst.in, postrm.in, preinst.in:
      + Remove old configuration files.
    - xserver-xorg.postinst.in:
      + Migrate psb users to vesa.
	
 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 30 Jun 2009 17:14:18 +0300

xorg (1:7.4+3) unstable; urgency=low

  * Call db_stop at the end of xserver-xorg.postinst, otherwise debconf gets
    confused and makes the postinst hang after restarting hal
    (closes: #532623).

 -- Julien Cristau <jcristau@debian.org>  Wed, 10 Jun 2009 16:50:27 +0200

xorg (1:7.4+2) unstable; urgency=low

  [ David Nusinow ]
  * Don't discuss removal of xserver-xorg in its description. 
    It remains tied to -core at this point. (closes: #523630).
  * Add libgl1-mesa-dri to the depends of the xorg package to ensure that
    it gets pulled in even if Recommends are disabled
  * Make xorg depend on xorg-docs-core and move xorg-docs to be a
    suggests.  This makes for a slimmer default while providing the
    necessary manpages that we expect to be present on every install
    (closes: #388308).

  [ Julien Cristau ]
  * Update the NEWS entry for xserver-xorg 1:7.4+1 to include a warning about
    keycode changes breaking Xmodmaps (closes: #523562).  Thanks, Manoj
    Srivastava!
  * Restart hal from xserver-xorg.postinst.  hal's trigger gets run too early,
    when console-setup is not yet configured, so it doesn't pick up the keymap
    correctly (closes: #524076).
  * Mention the requirement for a CONFIG_INPUT_EVDEV-enabled kernel in
    xserver-xorg.NEWS.
  * Get rid of the remaining xserver-xorg debconf question (Bus ID).
    Detection of the primary device should happen in the kernel and/or X
    server.  With this change, we don't generate any xorg.conf anymore.
  * On upgrade, remove leftover conffile from beforelight (closes: #454219).
  * Add a console-setup-mini alternative to xserver-xorg's Depends
    (closes: #527124).
  * xsfbs: don't call dpkg --print-installation-architecture
    (closes: #531294).
  * Add README.source, and bump Standards-Version to 3.8.1.
  * xsfbs: kill custom readlink function (closes: #498890).  Thanks, Jonas
    Smedegaard!
  * x11-common: drop migration code from xfree86, and related debconf
    templates.
  * Drop support for renicing the X server from the wrapper.  Remove related
    debconf templates and maintainer scripts handling.
  * Don't ship the /usr/X11R6/bin symlink in x11-common.  Break gdm <<
    2.20.7-5.
  * xserver-xorg.preinst: drop migration code from /var/lib/xfree86 to
    /var/lib/x11.
  * xserver-xorg.{pre,post}inst: drop xorg.conf checksum handling.  Stop
    creating an empty xorg.conf in preinst.  Now that we don't run dexconf, we

