## xorg 7.4+3ubuntu10

=== debian/changelog ===
xorg (1:7.4+3ubuntu10) karmic-proposed; urgency=low

  * local/Failsafe/failsafeXServer:  Since dexconf no longer produces
    an xorg.conf, it will neither generate a failsafe xorg.conf, so now
    we just generate one directly.  Otherwise X won't start a failsafe
    session properly.
    (LP: #477149)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 09 Nov 2009 15:39:57 -0800

xorg (1:7.4+3ubuntu9) karmic-proposed; urgency=low

  * Restore 60x11-common_localhost.  I dropped this before because the
    file was not in git so assumed it was stray.  On further review I
    see this was intentionally added, just not to git, and was not stray.
    (LP: #340807)
  * control:  Add Vcs-git tags

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 04 Nov 2009 18:54:26 -0800

xorg (1:7.4+3ubuntu8) karmic-proposed; urgency=low

  * debian/local/Failsafe/failsafe{XServer,Xinit},
    debian/x11-common.failsafe-x.upstart: convert Bulletproof-X support over
    to upstart, for compatibility with gdm in karmic.  LP: #474806.
  * debian/rules: install the new upstart job with dh_installinit.
  * debian/control: bump the debhelper versioned build-dependency for the
    same

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Nov 2009 18:00:49 -0800
