=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: David Nusinow <dnusinow@debian.org>, Branden Robinson <branden@debian.org>, Drew Parsons <dparsons@debian.org>, Julien Cristau <jcristau@debian.org>
 Standards-Version: 3.8.1
-Build-Depends: dpkg (>= 1.7.0), po-debconf, debhelper (>= 4.1.16)
+Build-Depends: dpkg (>= 1.7.0), po-debconf, debhelper (>= 7.3.15ubuntu3)
+Vcs-Git: git://git.debian.org/git/pkg-xorg/debian/xorg
+Vcs-Browser: http://git.debian.org/?p=pkg-xorg/debian/xorg.git
 
 Package: x11-common
 Architecture: all
@@ -212,5 +214,3 @@
 Architecture: all
 Depends: x11-xfs-utils, x11-utils, x11-xserver-utils, x11-session-utils, xfonts-utils, x11-common
 Description: X Window System utility programs metapackage
- xutils provides a set of utility programs shipped with the X Window System.
- Many of these programs are useful even on a system that does not have any X
