=== debian/rules ===
--- 
+++ 
@@ -90,6 +90,7 @@
 	dh_installdocs
 	dh_installchangelogs
 	dh_installinit -px11-common -u'start 70 S .'
+	dh_installinit -px11-common --no-start --upstart-only --name failsafe-x
 	dh_installman
 	dh_link
 	dh_compress
